#ifndef ADDRESSBOOKSERVICE_H
#define ADDRESSBOOKSERVICE_H

#include <QList>
#include <QSharedPointer>

#include "data/addressbookdata.h"
#include "addressbook_global.h"

class ADDRESSBOOKSHARED_EXPORT AddressBookService
{
public:
    AddressBookService();
    ~AddressBookService();

    QList<QSharedPointer<AddressbookData> > all(const QString &where = "");
};

#endif // ADDRESSBOOKSERVICE_H
